_Display_Init:
;BrushlessPIC32.c,77 :: 		void Display_Init()
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;BrushlessPIC32.c,79 :: 		TFT_BLED_Direction = 0;
SW	R25, 4(SP)
SW	R26, 8(SP)
LUI	R2, BitMask(TRISD2_bit+0)
ORI	R2, R2, BitMask(TRISD2_bit+0)
_SX	
;BrushlessPIC32.c,80 :: 		TFT_Init_ILI9341_8bit(320, 240);
ORI	R26, R0, 240
ORI	R25, R0, 320
JAL	_TFT_Init_ILI9341_8bit+0
NOP	
;BrushlessPIC32.c,81 :: 		TFT_BLED = 1;
LUI	R2, BitMask(LATD2_bit+0)
ORI	R2, R2, BitMask(LATD2_bit+0)
_SX	
;BrushlessPIC32.c,83 :: 		}
L_end_Display_Init:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _Display_Init
_MCU_Init:
;BrushlessPIC32.c,85 :: 		void MCU_Init()
ADDIU	SP, SP, -20
SW	RA, 0(SP)
;BrushlessPIC32.c,87 :: 		TRISF0_bit = 1;                            //configure PORTF pin 0 as input
SW	R25, 4(SP)
SW	R26, 8(SP)
SW	R27, 12(SP)
SW	R28, 16(SP)
LUI	R2, BitMask(TRISF0_bit+0)
ORI	R2, R2, BitMask(TRISF0_bit+0)
_SX	
;BrushlessPIC32.c,88 :: 		TRISF1_bit = 1;                            //configure PORTF pin 1 as input
LUI	R2, BitMask(TRISF1_bit+0)
ORI	R2, R2, BitMask(TRISF1_bit+0)
_SX	
;BrushlessPIC32.c,89 :: 		TRISC1_bit = 0;                            //configure PORTC pin 1 as output (VSense)
LUI	R2, BitMask(TRISC1_bit+0)
ORI	R2, R2, BitMask(TRISC1_bit+0)
_SX	
;BrushlessPIC32.c,90 :: 		JTAGEN_bit = 0;
_LX	
INS	R2, R0, BitPos(JTAGEN_bit+0), 1
_SX	
;BrushlessPIC32.c,92 :: 		AD1PCFG = 0xFFFF;                          // Configure AN pins as digital I/O
ORI	R2, R0, 65535
SW	R2, Offset(AD1PCFG+0)(GP)
;BrushlessPIC32.c,93 :: 		TRISB = 0xFFEF;                            // configure PORTB pins as input
ORI	R2, R0, 65519
SW	R2, Offset(TRISB+0)(GP)
;BrushlessPIC32.c,94 :: 		PORTD = 0;                                 // set PORTD to 0
SW	R0, Offset(PORTD+0)(GP)
;BrushlessPIC32.c,95 :: 		TRISD = 0;                                 // designate PORTD pins as output
SW	R0, Offset(TRISD+0)(GP)
;BrushlessPIC32.c,96 :: 		ADC1_Init();                               // ADC Init
JAL	_ADC1_Init+0
NOP	
;BrushlessPIC32.c,97 :: 		Delay_ms(100);
LUI	R24, 40
ORI	R24, R24, 45226
L_MCU_Init0:
ADDIU	R24, R24, -1
BNE	R24, R0, L_MCU_Init0
NOP	
;BrushlessPIC32.c,98 :: 		current_speed = 3000;                     // initial value for current duty
ORI	R2, R0, 3000
SH	R2, Offset(_current_speed+0)(GP)
;BrushlessPIC32.c,100 :: 		pwm_period = PWM_Init(5000 , 1, 1, 2);     // PWM Initialization
ORI	R28, R0, 2
ORI	R27, R0, 1
ORI	R26, R0, 1
ORI	R25, R0, 5000
JAL	_PWM_Init+0
NOP	
SH	R2, Offset(_pwm_period+0)(GP)
;BrushlessPIC32.c,101 :: 		PWM_Start(1);
ORI	R25, R0, 1
JAL	_PWM_Start+0
NOP	
;BrushlessPIC32.c,102 :: 		PWM_Set_Duty(current_speed,  1);           // Set current duty for PWM1
ORI	R26, R0, 1
LHU	R25, Offset(_current_speed+0)(GP)
JAL	_PWM_Set_Duty+0
NOP	
;BrushlessPIC32.c,103 :: 		}
L_end_MCU_Init:
LW	R28, 16(SP)
LW	R27, 12(SP)
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 20
JR	RA
NOP	
; end of _MCU_Init
_DrawFrame:
;BrushlessPIC32.c,105 :: 		void DrawFrame()
ADDIU	SP, SP, -20
SW	RA, 0(SP)
;BrushlessPIC32.c,107 :: 		TFT_Fill_Screen(CL_TEAL);
SW	R25, 4(SP)
SW	R26, 8(SP)
SW	R27, 12(SP)
SW	R28, 16(SP)
ORI	R25, R0, 1040
JAL	_TFT_Fill_Screen+0
NOP	
;BrushlessPIC32.c,108 :: 		TFT_Set_Pen(CL_BLACK, 1);
ORI	R26, R0, 1
MOVZ	R25, R0, R0
JAL	_TFT_Set_Pen+0
NOP	
;BrushlessPIC32.c,109 :: 		TFT_Set_Brush(1,CL_TEAL, 0, 0, CL_TEAL, CL_TEAL);
MOVZ	R28, R0, R0
MOVZ	R27, R0, R0
ORI	R26, R0, 1040
ORI	R25, R0, 1
ORI	R2, R0, 1040
ADDIU	SP, SP, -4
SH	R2, 2(SP)
ORI	R2, R0, 1040
SH	R2, 0(SP)
JAL	_TFT_Set_Brush+0
NOP	
ADDIU	SP, SP, 4
;BrushlessPIC32.c,110 :: 		TFT_Line(20, 220, 300, 220);
ORI	R28, R0, 220
ORI	R27, R0, 300
ORI	R26, R0, 220
ORI	R25, R0, 20
JAL	_TFT_Line+0
NOP	
;BrushlessPIC32.c,111 :: 		TFT_Line(20,  46, 300,  46);
ORI	R28, R0, 46
ORI	R27, R0, 300
ORI	R26, R0, 46
ORI	R25, R0, 20
JAL	_TFT_Line+0
NOP	
;BrushlessPIC32.c,112 :: 		TFT_Set_Font(&HandelGothic_BT21x22_Regular, CL_BLACK, FO_HORIZONTAL);
MOVZ	R27, R0, R0
MOVZ	R26, R0, R0
LUI	R25, hi_addr(_HandelGothic_BT21x22_Regular+0)
ORI	R25, R25, lo_addr(_HandelGothic_BT21x22_Regular+0)
JAL	_TFT_Set_Font+0
NOP	
;BrushlessPIC32.c,113 :: 		TFT_Write_Text("Brushless  Click  Board  Example", 12, 14);
ORI	R27, R0, 14
ORI	R26, R0, 12
LUI	R25, hi_addr(?lstr1_BrushlessPIC32+0)
ORI	R25, R25, lo_addr(?lstr1_BrushlessPIC32+0)
JAL	_TFT_Write_Text+0
NOP	
;BrushlessPIC32.c,114 :: 		TFT_Set_Font(&Verdana12x13_Regular, CL_BLACK, FO_HORIZONTAL);
MOVZ	R27, R0, R0
MOVZ	R26, R0, R0
LUI	R25, hi_addr(_Verdana12x13_Regular+0)
ORI	R25, R25, lo_addr(_Verdana12x13_Regular+0)
JAL	_TFT_Set_Font+0
NOP	
;BrushlessPIC32.c,115 :: 		TFT_Write_Text("EasyPIC Fusion v7 for P32MX", 19, 223);
ORI	R27, R0, 223
ORI	R26, R0, 19
LUI	R25, hi_addr(?lstr2_BrushlessPIC32+0)
ORI	R25, R25, lo_addr(?lstr2_BrushlessPIC32+0)
JAL	_TFT_Write_Text+0
NOP	
;BrushlessPIC32.c,116 :: 		TFT_Set_Font(&Verdana12x13_Regular, CL_BLACK, FO_HORIZONTAL);
MOVZ	R27, R0, R0
MOVZ	R26, R0, R0
LUI	R25, hi_addr(_Verdana12x13_Regular+0)
ORI	R25, R25, lo_addr(_Verdana12x13_Regular+0)
JAL	_TFT_Set_Font+0
NOP	
;BrushlessPIC32.c,117 :: 		TFT_Write_Text("www.mikroe.com", 200, 223);
ORI	R27, R0, 223
ORI	R26, R0, 200
LUI	R25, hi_addr(?lstr3_BrushlessPIC32+0)
ORI	R25, R25, lo_addr(?lstr3_BrushlessPIC32+0)
JAL	_TFT_Write_Text+0
NOP	
;BrushlessPIC32.c,118 :: 		TFT_Set_Font(&HandelGothic_BT21x22_Regular, CL_BLACK, FO_HORIZONTAL);
MOVZ	R27, R0, R0
MOVZ	R26, R0, R0
LUI	R25, hi_addr(_HandelGothic_BT21x22_Regular+0)
ORI	R25, R25, lo_addr(_HandelGothic_BT21x22_Regular+0)
JAL	_TFT_Set_Font+0
NOP	
;BrushlessPIC32.c,119 :: 		TFT_Write_Text("PWM  DUTY", 10, 80 );
ORI	R27, R0, 80
ORI	R26, R0, 10
LUI	R25, hi_addr(?lstr4_BrushlessPIC32+0)
ORI	R25, R25, lo_addr(?lstr4_BrushlessPIC32+0)
JAL	_TFT_Write_Text+0
NOP	
;BrushlessPIC32.c,120 :: 		TFT_Write_Text("PWM  MAX", 10, 140);
ORI	R27, R0, 140
ORI	R26, R0, 10
LUI	R25, hi_addr(?lstr5_BrushlessPIC32+0)
ORI	R25, R25, lo_addr(?lstr5_BrushlessPIC32+0)
JAL	_TFT_Write_Text+0
NOP	
;BrushlessPIC32.c,121 :: 		WordToStr(pwm_period, txt);
LUI	R26, hi_addr(_txt+0)
ORI	R26, R26, lo_addr(_txt+0)
LHU	R25, Offset(_pwm_period+0)(GP)
JAL	_WordToStr+0
NOP	
;BrushlessPIC32.c,122 :: 		TFT_Write_Text(txt, 150, 140);
ORI	R27, R0, 140
ORI	R26, R0, 150
LUI	R25, hi_addr(_txt+0)
ORI	R25, R25, lo_addr(_txt+0)
JAL	_TFT_Write_Text+0
NOP	
;BrushlessPIC32.c,123 :: 		TFT_Set_Pen(CL_TEAL, 1);
ORI	R26, R0, 1
ORI	R25, R0, 1040
JAL	_TFT_Set_Pen+0
NOP	
;BrushlessPIC32.c,124 :: 		}
L_end_DrawFrame:
LW	R28, 16(SP)
LW	R27, 12(SP)
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 20
JR	RA
NOP	
; end of _DrawFrame
_main:
;BrushlessPIC32.c,126 :: 		void main() {
;BrushlessPIC32.c,127 :: 		MCU_Init();
JAL	_MCU_Init+0
NOP	
;BrushlessPIC32.c,128 :: 		TFT_BLED_Direction = 0;
LUI	R2, BitMask(TRISD2_bit+0)
ORI	R2, R2, BitMask(TRISD2_bit+0)
_SX	
;BrushlessPIC32.c,129 :: 		TFT_Init_ILI9341_8bit(320, 240); //TFT Init
ORI	R26, R0, 240
ORI	R25, R0, 320
JAL	_TFT_Init_ILI9341_8bit+0
NOP	
;BrushlessPIC32.c,130 :: 		TFT_BLED = 1;
LUI	R2, BitMask(LATD2_bit+0)
ORI	R2, R2, BitMask(LATD2_bit+0)
_SX	
;BrushlessPIC32.c,131 :: 		DrawFrame();
JAL	_DrawFrame+0
NOP	
;BrushlessPIC32.c,132 :: 		MOTOR_DIR = CCW;  // Setting motor direction to counter-clock-wise
LUI	R2, BitMask(RC1_bit+0)
ORI	R2, R2, BitMask(RC1_bit+0)
_SX	
;BrushlessPIC32.c,134 :: 		while(1) {
L_main2:
;BrushlessPIC32.c,136 :: 		if (RB0_bit)                            // button on RB0 pressed
_LX	
EXT	R2, R2, BitPos(RB0_bit+0), 1
BNE	R2, R0, L__main19
NOP	
J	L_main4
NOP	
L__main19:
;BrushlessPIC32.c,138 :: 		Delay_ms(30);
LUI	R24, 12
ORI	R24, R24, 13567
L_main5:
ADDIU	R24, R24, -1
BNE	R24, R0, L_main5
NOP	
NOP	
;BrushlessPIC32.c,139 :: 		current_speed = current_speed + STEP;      // increment current_duty
LHU	R2, Offset(_current_speed+0)(GP)
ADDIU	R2, R2, 100
SH	R2, Offset(_current_speed+0)(GP)
;BrushlessPIC32.c,140 :: 		if (current_speed > pwm_period)       // if we increase current_duty greater then possible pwm_period1 value
ANDI	R3, R2, 65535
LHU	R2, Offset(_pwm_period+0)(GP)
SLTU	R2, R2, R3
BNE	R2, R0, L__main20
NOP	
J	L_main7
NOP	
L__main20:
;BrushlessPIC32.c,142 :: 		current_speed = 0;                    // reset current_duty value to zero
SH	R0, Offset(_current_speed+0)(GP)
;BrushlessPIC32.c,143 :: 		}
L_main7:
;BrushlessPIC32.c,144 :: 		PWM_Set_Duty(current_speed,  1);        // set newly acquired duty ratio
ORI	R26, R0, 1
LHU	R25, Offset(_current_speed+0)(GP)
JAL	_PWM_Set_Duty+0
NOP	
;BrushlessPIC32.c,145 :: 		}
L_main4:
;BrushlessPIC32.c,147 :: 		if (RB1_bit)                            // button on RB1 pressed
_LX	
EXT	R2, R2, BitPos(RB1_bit+0), 1
BNE	R2, R0, L__main22
NOP	
J	L_main8
NOP	
L__main22:
;BrushlessPIC32.c,149 :: 		Delay_ms(30);
LUI	R24, 12
ORI	R24, R24, 13567
L_main9:
ADDIU	R24, R24, -1
BNE	R24, R0, L_main9
NOP	
NOP	
;BrushlessPIC32.c,150 :: 		current_speed = current_speed - STEP;       // decrement current duty
LHU	R2, Offset(_current_speed+0)(GP)
ADDIU	R2, R2, -100
SH	R2, Offset(_current_speed+0)(GP)
;BrushlessPIC32.c,151 :: 		if (current_speed > pwm_period)       // if we decrease current duty greater then possible pwm period value
ANDI	R3, R2, 65535
LHU	R2, Offset(_pwm_period+0)(GP)
SLTU	R2, R2, R3
BNE	R2, R0, L__main23
NOP	
J	L_main11
NOP	
L__main23:
;BrushlessPIC32.c,153 :: 		current_speed = pwm_period;          // set current_duty to max possible value
LHU	R2, Offset(_pwm_period+0)(GP)
SH	R2, Offset(_current_speed+0)(GP)
;BrushlessPIC32.c,154 :: 		}
L_main11:
;BrushlessPIC32.c,155 :: 		PWM_Set_Duty(current_speed,  1);        // set newly acquired duty ratio
ORI	R26, R0, 1
LHU	R25, Offset(_current_speed+0)(GP)
JAL	_PWM_Set_Duty+0
NOP	
;BrushlessPIC32.c,156 :: 		}
L_main8:
;BrushlessPIC32.c,158 :: 		Delay_ms(20);
LUI	R24, 8
ORI	R24, R24, 9044
L_main12:
ADDIU	R24, R24, -1
BNE	R24, R0, L_main12
NOP	
NOP	
NOP	
;BrushlessPIC32.c,161 :: 		WordToStr(current_speed, txt);
LUI	R26, hi_addr(_txt+0)
ORI	R26, R26, lo_addr(_txt+0)
LHU	R25, Offset(_current_speed+0)(GP)
JAL	_WordToStr+0
NOP	
;BrushlessPIC32.c,162 :: 		TFT_Rectangle(150, 80, 250, 110);
ORI	R28, R0, 110
ORI	R27, R0, 250
ORI	R26, R0, 80
ORI	R25, R0, 150
JAL	_TFT_Rectangle+0
NOP	
;BrushlessPIC32.c,163 :: 		TFT_Write_Text(txt, 150, 80);
ORI	R27, R0, 80
ORI	R26, R0, 150
LUI	R25, hi_addr(_txt+0)
ORI	R25, R25, lo_addr(_txt+0)
JAL	_TFT_Write_Text+0
NOP	
;BrushlessPIC32.c,164 :: 		}
J	L_main2
NOP	
;BrushlessPIC32.c,165 :: 		}
L_end_main:
L__main_end_loop:
J	L__main_end_loop
NOP	
; end of _main
